<?php
/*
'**************************************************************************************************
' 软件名称: 搜一次 Content Management System
' 版本编号: Version 1.X
' 官方网站: http://www.syccms.com
' 官方论坛：http://bbs.syccms.com
' 版权所有: 搜一次运营团队
' 法律顾问: 杭州市元茂律师事务所 严飞律师
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、搜一次网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/
define('ADMIN_PATH',basename(dirname(__FILE__)));
if(!is_writable(session_save_path())){
	$cache_path = dirname(ADMIN_PATH).'/cache/';
	if(!is_writable($cache_path)){
		exit('session缓存目录'.session_save_path().'不可写，请联系主机服务商解决');
	} 
	session_save_path($cache_path);
}
session_start();
if (!isset($_SESSION['S_AdminID']) || $_SESSION['S_ExpireTS']<time()) {
	unset($_SESSION);session_destroy();
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=gb2312\" /><script>alert('您尚未登陆或登陆已经过期');window.parent.location.href='/".ADMIN_PATH."/admin_login.php'</script>";
	exit;
}
?>